export const REQUEST_SERVICE = {
  EIMTopic: '/EIM/info',
  SaveWaTopic: '/saveWater/info',
  SystemTopic: '/system/info',
  WorkerOrderTopic: '/workerOrder/info',
  ScadaTopic: '/scada/alarm',
  UserTopic: '/Message/',
};

export const MESSAGE_TYPE = {
  SCADA_TYPE: 'scadaType',
  CASE_TYPE: 'caseType',
  SYS_TYPE: 'sysType',
  SAVE_WA_TYPE: 'saveWaType',
  EIMT_TYPE: 'EIMType',
  MESSAGE_ALERT: 'remindType',
  UNKNOWN: 'unknown',
};

export const NEW_MESSAGE = 'NEW_MESSAGE';

export const MESSAGE_TEXT_TYPE = {
  PROJECT_FLOW: '工单流程',
  SYS_MESSAGE: '系统消息',
  SYS_NOTICE: '系统通知',
  SAWATER: '节水通知',
  EMTT: '信息化',
  MESSAGE_ALERT: '消息提醒',
  SCADA_ALARM: 'SCADA报警',
};

export const USERNAME = 'mao2080';
export const PASSWORD = '123';
export const PLATFORM_LEVEL = '4';
export const VIDEO_LEVEL = '5';
export const SYS_LEVEL = '6';
export const ERR_OK = '0000';
export const DEFAULT_TCP_PORT = 443;
export const DEFAULT_TCP_IP = 'emqttd.panda-water.cn';
export const DEFAULT_MQTT_PATH = '/mqtt';
export const DEFAULT_KEEPLIVE = 60;
export const DEFAULT_TIMEOUT = 50;
export const DEFAULT_PARSE_LEVEL = '1.0';
